Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162383 - IncompatibleClassChangeError
Summary: IncompatibleClassChangeError
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 17:54 UTC by Tom Tromey
Modified: 2014-08-11 05:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-01 20:28:21 UTC


Attachments (Terms of Use)
log file (deleted)
2005-07-03 17:54 UTC, Tom Tromey
no flags Details

Description Tom Tromey 2005-07-03 17:54:41 UTC
At some point when launching Eclipse I see an
IncompatibleClassChangeError.  I'm attaching the log.
This might mean a libgcj linker bug, or it might imply
that some Eclipse class is not properly recompiled (e.g.).

Comment 1 Tom Tromey 2005-07-03 17:54:41 UTC
Created attachment 116311 [details]
log file

Comment 2 Andrew Overholt 2005-07-04 18:36:07 UTC
What version of eclipse is this?

Comment 3 Tom Tromey 2005-07-04 19:11:04 UTC
eclipse-platform-3.1.0_fc-0.RC3.3


Comment 4 Andrew Overholt 2005-11-01 19:40:49 UTC
I just tried to reproduce this bug with the proposed FC4 update (in
updates-testing) but I cannot.  If you can try out this update [1] and verify
that this issue is indeed fixed, I would appreciate it.

Thanks.

[1]
yum --enablerepo=updates-testing update eclipse-pde (or whatever)

Comment 5 Tom Tromey 2005-11-01 20:23:30 UTC
I definitely don't see this any more.


Comment 6 Andrew Overholt 2005-11-01 20:28:21 UTC
Great.  Closing.


Note You need to log in before you can comment on or make changes to this bug.